package it.polimi.ingsw.gc14.Model.Cards.Building.Effects;

import it.polimi.ingsw.gc14.Model.Cards.Building.EffectType;
import it.polimi.ingsw.gc14.Model.Cards.BuildingCard;
import it.polimi.ingsw.gc14.Model.Cards.TribeCards.Character;
import it.polimi.ingsw.gc14.Model.Cards.TribeCards.CharacterType;
import it.polimi.ingsw.gc14.Model.Player;

import java.util.HashMap;

public class Building1 extends BuildingCard {
    private CharacterType icon ;
    public CharacterType getIcon() {return icon;}

    public Building1(int era, int price,int prestigeValue, CharacterType icon) {
        super(era,price,prestigeValue);
        effectType = EffectType.ON_EVENT;
        effectId = 1;
        this.icon = icon;
    }
    @Override
    public BuildingCard clone() {
        return new Building1(getEra(),getPrice(),getPrestigeValue(),getIcon());
    }
    @Override
    public void applyEffect(Player player) {
    };

}
